educationSchool: delta

命名空间:microsoft.graph

获取新创建或更新的学校,而无需对整个学校集合执行完整读取操作。 有关详细信息,请参阅 “使用增量查询 ”。

Permissions

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) EduRoster.ReadBasic
委派(个人 Microsoft 帐户) 不支持。
Application EduRoster.Read.All、EduRoster.ReadWrite.All

HTTP 请求

GET /education/schools/delta

请求标头

名称 说明
Authorization Bearer {token}。必需。

请求正文

请勿提供此方法的请求正文。

响应

如果成功,此函数在响应正文中返回 200 OK 响应代码和 educationSchool 集合。 该响应还包括 @odata.nextLinkURL 或 @odata.deltaLinkURL。

  • @odata.nextLink如果返回 URL,则会话中将检索其他数据页。 应用程序继续使用 @odata.nextLink URL 发出请求,直到响应中包含 @odata.deltaLink URL。
  • @odata.deltaLink如果返回 URL,则不再有关于要返回的资源的现有状态的数据。 保留并使用 @odata.deltaLink URL 了解将来对资源所做的更改。

有关详细信息,请参阅 使用增量查询。 有关请求的示例,请参阅 获取用户的增量更改

示例

请求

GET https://graph.microsoft.com/v1.0/education/schools/delta

响应

注意: 为了提高可读性,可能缩短了此处显示的响应对象。

HTTP/1.1 200 OK
Content-Type: application/json

{
  "@odata.context": "https://graph.microsoft.com/v1.0/$metadata#Collection(educationSchool)",
  "@odata.nextLink": "https://graph.microsoft.com/v1.0/education/schools/delta?$skiptoken=VwhMSQw1l1O5v2F1ZPm...",
  "value": [
    {
      "@odata.type": "#microsoft.graph.educationSchool",
      "id": "String (identifier)",
      "displayName": "String",
      "description": "String",
      "externalSource": "String",
      "externalSourceDetail": "String",
      "principalEmail": "String",
      "principalName": "String",
      "externalPrincipalId": "String",
      "lowestGrade": "String",
      "highestGrade": "String",
      "schoolNumber": "String",
      "externalId": "String",
      "phone": "String",
      "fax": "String",
      "createdBy": {
        "@odata.type": "microsoft.graph.identitySet"
      },
      "address": {
        "@odata.type": "microsoft.graph.physicalAddress"
      }
    }
  ]
}